import 'package:cliqueretire_ads_carousel/cliqueretire_ads_carousel.dart';
import 'package:example/second_screen.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  MyApp({Key? key}) : super(key: key);

  List<String> images = [
    'https://farm4.static.flickr.com/3636/3602620521_6ee215f752.jpg',
    'https://media1.giphy.com/media/aDa9iiLZAUTqU/giphy.gif',
    'https://media0.giphy.com/media/x0WI8wlyu7TqM/giphy.gif?cid=ecf05e47celhjpxtoum84j4p85pbao9q8sjvzxl9iwsuwow1&rid=giphy.gif',
    'https://www.cliqueretire.com.br/wp-content/uploads/2020/12/Fotos-_Oq-fazemos_-SITE-3.0-1.png',
  ];
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: Stack(
        children: [
          MaterialApp(
            title: 'Flutter Demo',
            debugShowCheckedModeBanner: false,
            theme: ThemeData(
              primarySwatch: Colors.blue,
            ),
            home: const MyHomePage(
              title: 'Flutter Demo Home Page',
            ),
            routes: {
              '/second': (context) => SecondScreen(),
            },
          ),
          AdsCarousel(
            listItems: getListItems(),
            showCarouselHeight: 1280,
            durationSlideCarousel: const Duration(seconds: 3),
          ),
        ],
      ),
    );
  }

  List<Widget> getListItems() {
    return images
        .map((image) => Container(
              decoration: BoxDecoration(
                  borderRadius: BorderRadius.circular(15),
                  border: Border.all(
                    color: Colors.black,
                  )),
              //ClipRRect for image border radius
              child: ClipRRect(
                borderRadius: BorderRadius.circular(15),
                child: Image.network(
                  image,
                  fit: BoxFit.cover,
                ),
              ),
            ))
        .toList();
  }
}

class MyHomePage extends StatefulWidget {
  const MyHomePage({Key? key, required this.title}) : super(key: key);

  final String title;

  @override
  State<MyHomePage> createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.only(
        top: (MediaQuery.of(context).size.height > 1024)
            ? (MediaQuery.of(context).size.height - 610)
            : 0,
      ),
      child: Scaffold(
        appBar: AppBar(
          title: Text(widget.title),
        ),
        body: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                children: [
                  SizedBox(
                    height: 200,
                    width: 200,
                    child: ElevatedButton.icon(
                      onPressed: () {},
                      icon: Icon(Icons.indeterminate_check_box),
                      label: Text('Collect'),
                    ),
                  ),
                  SizedBox(
                    height: 200,
                    width: 200,
                    child: ElevatedButton.icon(
                      onPressed: () {
                        Navigator.pushNamed(context, '/second');
                      },
                      icon: Icon(Icons.handshake),
                      label: Text('Donate'),
                    ),
                  ),
                ],
              )
            ],
          ),
        ),
      ),
    );
  }
}
